Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.MoveNextItem Method
JoinCursor Class See Also

Iterate over the values associated with the keys to which each SecondaryCursor passed to Join(array<SecondaryCursor>[]()[], Boolean) was initialized. Any data value that appears in all SecondaryCursors is then stored in Current.Key.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool MoveNextItem()

Visual Basic (Declaration)
    Public Function MoveNextItem As Boolean

Visual C++
    public:
    bool MoveNextItem()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

Current.Value will contain an empty DatabaseEntry.

# See Also

JoinCursor Class
MoveNextItem Overload
BerkeleyDB Namespace